# Uses of Interface
org.eclipse.debug.ui.console.IConsoleHyperlink

Packages that use IConsoleHyperlink
Package
Description
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.

## Uses of IConsoleHyperlink in org.eclipse.debug.ui.console

Classes in org.eclipse.debug.ui.console that implement IConsoleHyperlink
Modifier and Type
Class
Description
`class`
`FileLink`
A hyperlink that opens a file in a text editor and selects a range of text.
Methods in org.eclipse.debug.ui.console with parameters of type IConsoleHyperlink
Modifier and Type
Method
Description
`void`
IConsole.`addLink(IConsoleHyperlink link, int offset, int length)`
Deprecated.
replaced with addLink(IHyperlink link, int offset, int length)
`IRegion`
IConsole.`getRegion(IConsoleHyperlink link)`
Deprecated.
replaced with getRegion(IHyperlink link) instead